package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-23 15:53
 * @Modify:
 **/
public class WmsEnumUtil {
    /**
     * 订单明细信息 是否免费
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum IS_FREE {
        CHARGING(0, "计费"), GRATIS(1, "免费");

        private int value;
        private String description;

        IS_FREE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 订单明细信息 状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_DETAILS_STATUS {
        NORMAL(10, "N", "正常"),
        ANCEL(20, "C", "行取消"),
        RECEIPTED(30, "R", "已收货");

        private int value;
        private String code;
        private String description;

        ORDER_DETAILS_STATUS(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 主表信息 单据来源
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_SRC {
        MNU(1, "MNU", "手工"),
        ERP(2, "ERP", "ERP接口");

        private int value;
        private String code;
        private String description;

        ORDER_SRC(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 主表信息 单据类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_TYPE {
        REG(1, "REG", "原物料采购"),
        SUB(10, "SUB", "委外采购"),
        TAR(20, "TAR", "多角贸易采购"),
        TAP(30, "TAP", "多角代采购");

        private int value;
        private String code;
        private String description;

        ORDER_TYPE(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 主表信息 状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_STATUS {
        CREATE(1, "新建"),
        RECEIPT(10, "收货中"),
        RECEIPT_FINISH(20, "收货完成"),
        WAREHOUSING(30, "入库中"),
        WAREHOUSING_FINISH(40, "入库完成"),
        CLOSED(90, "已关闭"),
        CANCELLED(91, "已取消");

        private int value;
        private String description;

        ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 交易状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum TRANS_STATUS {
        CREATE(1, "创建"), FINISH(2, "完成"), FAIL(3, "失败");

        private int value;
        private String description;

        TRANS_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }


    /**
     * 消息队列，队列名称
     * 1: success_queue
     * 2: fail_queue
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum QUEUE_NAME {

        SUCCESS_QUEUE(1, "success_queue", "成功消息队列"),
        FAIL_QUEUE(2, "fail_queue", "成功消息队列");

        private int value;
        private String name;
        private String description;

        QUEUE_NAME(int value, String name, String description) {
            this.value = value;
            this.name = name;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getName() {
            return name;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfCode(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].name;
                }
            }
            return tmp;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static String codeOfDescription(String code) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].name.equals(code)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 产品入库的产品状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PRODUCT_INSTOCK_STATUS {
        CREATE(10, "创建"), FINISH(20, "已处理"), FAIL(30, "处理出错");

        private int value;
        private String description;

        PRODUCT_INSTOCK_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 库位类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum LOCATE_TYPE {
        COLLECT_LOCATE(10, "I", "收货库"),
        BASICS_LOCATE(20, "P", "基础库"),
        maneuver_LOCATE(30, "R", "机动库"),
        COMBINATION_LOCATE(40, "D", "组合库"),
        LINE_LOCATE(50, "L", "线边库"),
        NC_LOCATE(60, "N", "NC库");

        private int value;
        private String code;
        private String description;

        LOCATE_TYPE(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 外部单据：移库单移动类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum OUT_MOVEMENT_MOVE_TYPE {
        IN_STORE(1, "IN", "入库"),
        OUT_STORE(2, "OUT", "出库"),
        MOVE_STORE(3, "MOVE", "移库");

        private int value;
        private String code;
        private String description;

        OUT_MOVEMENT_MOVE_TYPE(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 外部单据：移库单业务类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum OUT_MOVEMENT_BUSI_TYPE {
        RECEIVE_GOODS(1, "RC", "收货"),
        QUALITY_TESTING(2, "QC", "质检"),
        IN_STORE(3, "IN", "入库"),
        MIX_RECEIVE(4, "ZI", "杂收"),
        MIX_SEND(5, "ZO", "杂发"),
        SUPPLIER_RETURN_GOODS(6, "VJ", "供应商退货"),
        CUSTOMER_RETURN_GOODS(7, "CJ", "客户退货"),
        ORDER_PICKING_PART(8, "WP", "工单领料"),
        ORDER_RETURN_PART(9, "WJ", "工单退料"),
        MOVE_IN(10, "MI", "移库入库"),
        MOVE_OUT(11, "MO", "移库出库"),
        SEND(12, "SO", "发运");

        private int value;
        private String code;
        private String description;

        OUT_MOVEMENT_BUSI_TYPE(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 外部单据：移库单状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum OUT_MOVEMENT_STATUS {
        CREATE(1, "新建"),
        RECEIPT(10, "处理中"),
        RECEIPT_FINISH(20, "已完成"),
        CLOSED(90, "已关闭"),
        CANCELLED(91, "已取消");

        private int value;
        private String description;

        OUT_MOVEMENT_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 外部单据：移库单详情单位
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum OUT_MOVEMENT_DETAILS_UNIT {
        CREATE(1, "AA"),
        RECEIPT(2, "BB"),
        RECEIPT_FINISH(3, "CC"),
        CLOSED(4, "DD"),
        CANCELLED(5, "EE");

        private int value;
        private String description;

        OUT_MOVEMENT_DETAILS_UNIT(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 外部单据：移库单详情状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum OUT_MOVEMENT_DETAILS_STATUS {
        NORMAL(1, "N", "正常"),
        CANCEL(2, "C", "取消");

        private int value;
        private String code;
        private String description;

        OUT_MOVEMENT_DETAILS_STATUS(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }

    /**
     * 物料：分类（ABC）
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PART_ABC {
        A(1, "A", "正常"),
        B(2, "B", "正常"),
        C(3, "C", "取消"),
        D(4, "D", "取消"),
        E(5, "E", "取消");

        private int value;
        private String code;
        private String description;

        PART_ABC(int value, String code, String description) {
            this.value = value;
            this.code = code;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public String getCode() {
            return code;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static int descOf(String desc) {
            int tmp = 1;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    tmp = values()[i].value;
                }
            }
            return tmp;
        }
    }
}
