package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 关系-表达式与触发器
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-14 13:28
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="REF_EXPRESSION_TRIGGER")
@Api(value="关系-表达式与触发器",description = "关系-表达式与触发器")
public class RefExpressionTrigger extends BaseBean {

    @Column(name="EXPRESSION_ID")
    @ApiParam(value ="表达式_ID" ,example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long expressionId;

    public Long getExpressionId() {
        if(expressionId != null) {
            return expressionId.longValue();
        }else{
            return expressionId;
        }
    }

    @Column(name="TRIGGER_NAME")
    @ApiParam(value ="触发器名称")
    private String triggerName;

    @Column(name="TRIGGER_GROUP_NAME")
    @ApiParam(value ="触发器名称")
    private String triggerGroupName;
}
