package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统配置
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.499
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_CONFIG")
@Api(value="系统配置",description = "系统配置")
public class SysConfig extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;
 
    @Column(name="CONFIG_TYPE_ID")
    @ApiParam(value ="配置类型ID（枚举：1.系统配置...）" , example ="-1")
    private Integer configTypeId;
 
    @Column(name="CONFIG_CODE")
    @ApiParam(value ="配置代码")
    private String configCode;
 
    @Column(name="CONFIG_VALUE")
    @ApiParam(value ="配置值")
    private String configValue;
 
    @Column(name="CONFIG_DESCRIPTION")
    @ApiParam(value ="配置描述")
    private String configDescription;

}
