package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name="sys_employee")
@Api(value="用户登陆表",description = "用户登陆系统账户。")
public class SysEmployee extends BaseBean {

    @Column(name="language_name")
    @ApiParam(value = "语言名称",example = "前台显示的名称")
    private String username;

    @Column(name="language_code")
    @ApiParam(value = "语言代码",example = "使用浏览器语言代码，参考java.util.Locale中的代码。CN/zh，TW/zh，HK/zh，US/en, FR/en,GB/en,JP/en,DE/en,KR/en")
    private String password;

    @Column(name="is_default")
    @ApiParam(value = "是否默认",example = "1")
    private Integer isDefault;
}
