package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_METHOD")
@Api(value="功能权限表",description = "功能权限包含模块、功能及按钮等权限。")
public class SysMethod extends BaseBean {

    @Column(name="method_code")
    @ApiParam(value = "功能编码",example = "0")
    private Integer methodCode;

    @Column(name="method_name")
    @ApiParam(value = "语言名称",example = "前台显示的名称")
    private String methodName;

    @Column(name="method_level")
    @ApiParam(value = "语言名称",example = "前台显示的名称")
    //CommonEnumUtil.METHOD_LEVEL，分为模块、功能和按钮
    private Integer methodLevel;

    @Column(name="method_uri")
    @ApiParam(value = "方法路径",example = "前台显示的名称")
    private String methodUri;

    @Column(name="parent_method_id")
    @ApiParam(value = "上级方法主键")
    private Long parentMethodId;

    public Long getParentMethodId() {
        if(parentMethodId != null) {
            return parentMethodId.longValue();
        }else{
            return parentMethodId;
        }
    }
}
