package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 定时任务时间表达式
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.801
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="TASK_TIME_EXPRESSION")
@Api(value="任务表达式",description = "任务表达式")
public class TaskTimeExpression extends BaseBean {

    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;

    @Column(name="GROUP_NAME")
    @ApiParam(value ="组名称")
    private String groupName;

    @Column(name="EXPRESSION_CONTENT")
    @ApiParam(value ="表达式内容")
    private String expressionContent;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name="expression_start_date")
    @ApiParam(value ="开始时间")
    private String expressionStartDatetime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name="expression_end_date")
    @ApiParam(value ="结束时间")
    private String expressionEndDatetime;

    @Column(name="TIME_DESCRIPTION")
    @ApiParam(value ="表达式描述")
    private String expressionDescription;
}
