package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 定时任务执行记录
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.992
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="TASK_TIME_RECORDING")
@Api(value="定时任务执行记录",description = "定时任务执行记录")
public class TaskTimeRecording extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="任务名称")
    private String name;
 
    @Column(name="TIMED_TASK_ID")
    @ApiParam(value ="任务编号" , example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long timedTaskId;

    public Long getTimedTaskId() {
        if(timedTaskId != null) {
            return timedTaskId.longValue();
        }else{
            return timedTaskId;
        }
    }
 
    @Column(name="RED_TIME_ID")
    @ApiParam(value ="时间表达式ID" , example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long redTimeId;

    public Long getRedTimeId() {
        if(redTimeId != null) {
            return redTimeId.longValue();
        }else{
            return redTimeId;
        }
    }
 
    @Column(name="RED_TIME_EXPRESSION")
    @ApiParam(value ="时间表达式")
    private String redTimeExpression;
 
    @Column(name="TASK_START_DATE_TIME")
    @ApiParam(value ="任务开始时间")
    private String taskStartDateTime;
 
    @Column(name="TASK_END_DATE_TIME")
    @ApiParam(value ="任务结束时间")
    private String taskEndDateTime;
 
    @Column(name="TASK_STATUS_ID")
    @ApiParam(value ="任务完成情况(枚举：1正常，2失败)")
    private Integer taskStatusId;
 
    @Column(name="TASK_LOG")
    @ApiParam(value ="任务日志")
    private String taskLog;
 
    @Column(name="TASK_LOG_ERROR")
    @ApiParam(value ="任务异常日志")
    private String taskLogError;

}
