package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 硬件设备表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:44.033
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="TOOL")
@Api(value="硬件设备表",description = "硬件设备表")
public class Tool extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;

    @Column(name="TOOL_TYPE_ID")
    @ApiParam(value ="类型ID" , example = "-1")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long toolTypeId;

    public Long getToolTypeId() {
        if(toolTypeId != null) {
            return toolTypeId.longValue();
        }else{
            return toolTypeId;
        }
    }

    @Column(name="RED_TOOL_TYPE_NAME")
    @ApiParam(value ="类型名称" , access ="类型名称")
    private String redToolTypeName;
 
    @Column(name="TOOL_STATUS_ID")
    @ApiParam(value ="设备状态（枚举：枚举：1.正常，2.禁用）" , example ="-1")
    private Integer toolStatusId;
 
    @Column(name="TOOL_IP")
    @ApiParam(value ="IP地址" , access ="IP地址")
    private String toolIp;
 
    @Column(name="TOOL_PORT")
    @ApiParam(value ="端口" , example ="80" , access ="端口")
    private Integer toolPort;
 
    @Column(name="TOOL_CONN_TYPE_ID")
    @ApiParam(value ="连接方式（枚举：1.网口，2.串口，3.USB......）" , example ="-1")
    private Integer toolConnTypeId;
 
    @Column(name="TOOL_DATA_TYPE_ID")
    @ApiParam(value ="传输数据类型（枚举：1.字符串，2.二进制数据流....）" , example ="-1")
    private Integer toolDataTypeId;
 
    @Column(name="TOOL_OPERATING")
    @ApiParam(value ="操作内容" , access ="操作内容")
    private String toolOperating;
 
    @Column(name="TOOL_DESCRIPTION")
    @ApiParam(value ="描述" , access ="描述")
    private String toolDescription;

}
