package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 盘点单冻结信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DOC_CS_DETAILS")
@Api("盘点单冻结信息")
public class WmsCSOrderDetails extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name="WH_NO")
    @ApiParam("仓库代码")
    public String whNo;

    @Column(name="ZONE_NO")
    @ApiParam("存储区编号")
    public String zoneNo;

    @Column(name="LOCATE_NO")
    @ApiParam("库位编号")
    public String locateNo;

    @Column(name="PART_NO")
    @ApiParam("物料编码")
    public String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam("物料名称")
    public String partNameRdd;

    @Column(name="SN")
    @ApiParam("条码")
    public String sn;

    @Column(name="QTY")
    @ApiParam(value = "需求数量", example = "0")
    public Double qty;

    @Column(name="UNIT")
    @ApiParam("单位")
    public String unit;

    /**
     * 质检状态:0=未质检,10=质检中,20=质检合格,
     * 30=质检不合格,40=已退货
     */
    @Column(name="QC_STATUS")
    @ApiParam(value = "质检状态", example = "1")
    public Integer qcStatus;

    /**
     * 条码状态:0=创建,10=已收货,20=已质检,
     * 30=已入库,40=待出库,50=已出库,
     * 60=在途,70=已隔离,80=破包,90=冻结,100=作废
     */
    @Column(name="STATUS")
    @ApiParam(value = "条码状态", example = "1")
    public Integer status;

    /**
     * 处理状态:0=已创建,5=已盘,10=已冻结
     * ,20=已解冻,30=取消冻结
     */
    @Column(name="TRANS_STATUS")
    @ApiParam(value = "处理状态", example = "1")
    public Integer transStatus;
}
