package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 盘点单主表信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DOC_CS_ORDER")
@Api("盘点单主表信息")
public class WmsCSOrderMaster extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    /**
     * 单据类型:10=日常盘点,20=月度盘点,
     * 30=季度盘点,40=年度盘点
     */
    @Column(name="ORDER_TYPE")
    @ApiParam("单据类型")
    public String orderType;

    @Column(name="STATUS")
    @ApiParam("状态")
    public String status;

    @Column(name="PERSENT")
    @ApiParam("盘点进度")
    public String persent;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;
}
