package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :移库单实体(用于转储类业务)
 * @Reference :
 * @Author : dragon.xu
 * @CreateDate : 2018-11-13 16:06
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_DOC_MOVEMENT_MASTER")
@Api("移库单表")
public class WmsDocMovementMaster extends BaseBean {
    @Column(name = "ORDER_NO")
    @ApiParam(value = "移库单单号")
    private String orderNo;
    /**
     * 移动类型:IN=入库,OUT=出库,MOVE=移库
     */
    @Column(name = "MOVE_TYPE")
    @ApiParam("移动类型")
    public String moveType;
    /**
     * 业务类型:RC=收货,QC=质检,IN=入库,ZI=杂收,ZO=杂发,
     * VJ=供应商退货,CJ=客户退货,WP=工单领料,WJ=工单退料,
     * MI=移库入库,MO=移库出库,SO=发运
     */
    @Column(name = "BUSI_TYPE")
    @ApiParam(value = "业务类型", example = "1")
    public Integer busiType;

    /**
     * 状态:0=新建,10=处理中
     * ,20=已完成,90=已关闭,91=已取消
     */
    @Column(name = "ORDER_STATUS")
    @ApiParam(value = "状态", example = "1")
    public Integer orderStatus;

    @Column(name = "CUSTOMER_NO")
    @ApiParam(value = "客户编号")
    private String customerNo;

    @Column(name = "VENDOR_NO")
    @ApiParam(value = "供应商编号")
    private String vendorNo;

    @Column(name = "VERSION")
    @ApiParam(value = "版本", example = "1")
    private Integer version;

    /**
     * 单据类型::1=工单配料
     */
    @Column(name = "REF_TYPE")
    @ApiParam(value = "关联单据类型")
    private String refType;

    @Column(name = "REF_NO")
    @ApiParam(value = "关联单据")
    private String refNo;

    @Column(name = "ERP_SRC_NO")
    @ApiParam(value = "ERP单号")
    private String erpSrcNo;

    /**
     * 单据类型::1=工单配料
     */
    @Column(name = "ORDER_TYPE")
    @ApiParam(value = "单据类型")
    private String orderType;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "物料名称")
    private String partName;

    @Column(name = "QTY")
    @ApiParam(value = "数量", example = "1")
    private Double qty;

}
