package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-02 10:37
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_OBJECT")
@Api("元数据信息表")
public class WmsObject extends BaseBean {

    @Column(name = "CODE")
    @ApiParam("对象编码")
    private String code;

    @Column(name = "NAME")
    @ApiParam("对象名称")
    private String name;

    @Column(name = "VIEW_NAME")
    @ApiParam("查询数据视图")
    private String viewName;

    @Column(name = "TABLE_NAME")
    @ApiParam("保存数据主表")
    private String tableName;

    @Column(name = "PK_NAME")
    @ApiParam("主键")
    private String pkName;

    @Column(name = "DATA_SOURCE")
    @ApiParam("数据源")
    private String dataSource;

    @Column(name = "IS_SINGLE")
    @ApiParam(value = "是否单选", example = "1")
    private Integer isSingle;

    @Column(name = "IS_CELL_EDIT")
    @ApiParam(value = "是否可行内编辑", example = "2")
    private Integer isCellEdit;

    @Column(name = "IS_SHOW_NUM")
    @ApiParam(value = "是否显示行号", example = "1")
    private Integer isShowNum;

    @Column(name = "IS_FIRST_LOAD")
    @ApiParam(value = "是否初始加载", example = "1")
    private Integer isFirstLoad;

    @Column(name = "FILTER")
    @ApiParam("初始数据过滤条件")
    private String filter;

    @Column(name = "DEFAULT_ORDER")
    @ApiParam("默认排序字段(desc)")
    private String defaultOrder;

    @Column(name = "BIZ_INTERCEPT")
    @ApiParam("自定义业务拦截")
    private String bizIntercept;

    @ApiParam("元数据字段列表")
    private transient List<WmsField> fiedList;

    @ApiParam("自定义按钮列表")
    private transient List<WmsButton> btnList;

}
