package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : PO订单主表
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_DOC_PO_MASTER")
@Api("PO主表信息")
public class WmsPOMaster extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("订单号")
    public String orderNo;

    /**
     * 单据类型:
     * 1 REG=原物料采购,10 SUB=委外采购,20 TAR=多角贸易采购,30 TAP=多角代采购
     */
    @Column(name="PO_TYPE")
    @ApiParam("单据类型")
    public String poType;

    /**
     * 状态:1=新建,10=收货中,20=收货完成,
     * 30=入库中,40=入库完成,90=已关闭,91=已取消
     */
    @Column(name="PO_STATUS")
    @ApiParam(value = "状态", example = "1")
    public Integer poStatus;

    @Column(name="VENDOR_NO")
    @ApiParam("供应商编号")
    public String vendorNo;

    @Column(name="VERSION")
    @ApiParam("版本")
    public String version;

    /**
     * 单据来源：1 MNU=手工,2 ERP=ERP接口
     */
    @Column(name="SRC")
    @ApiParam("单据来源")
    public String src;

    @Column(name="IS_ASN")
    @ApiParam("是否有ASN")
    public String isAsn;
}
