package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 待打印信息
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_SN_PRINT")
@Api("待打印信息")
public class WmsSnPrint extends BaseBean {

    @Column(name="SRC_TYPE")
    @ApiParam("来源单据类型")
    public String srcType;

    @Column(name="SRC_NO")
    @ApiParam("来源单据编号")
    public String srcNo;

    @Column(name="PRINT_CONTEXT")
    @ApiParam("打印内容")
    public String printContext;

    @Column(name="REMARK")
    @ApiParam("备注")
    public String reMark;

    /**
     * 状态:0=创建,5=待处理,10=已处理
     */
    @Column(name="STATUS")
    @ApiParam(value = "状态", example = "0")
    public Integer status;

    @Column(name="PRINT_TEMPLET")
    @ApiParam("打印模板")
    public String printTemplet;

    @Column(name="PRINT_MACHINE")
    @ApiParam("打印机")
    public String printMachine;
}
